<template>
  <RadioFacet
      :config="config"
      :property="property"
      :optionIds="['true', 'false']"
      :optionLabels="[yes, no]"
      :change="changeDataServices"
      :initialOption="getDataServices"
  />
</template>

<script>
import {mapActions, mapGetters} from "vuex";
import RadioFacet from "./RadioFacet.vue";

export default {
  name: "DataServicesFacet",
  props: {
    config: Object
  },
  components: {
    RadioFacet
  },
  data() {
    return {
      yes: this.i18n.global.t('message.metadata.yes'),
      no: this.i18n.global.t('message.metadata.no'),
      property: this.i18n.global.t('message.datasetFacets.facets.dataServices.dataServicesOnly'),
      title: this.i18n.global.t('message.metadata.dataServices'),
      toolTipTitle: this.i18n.global.t('message.helpIcon.dataServices')
    };
  },
  computed: {
    ...mapGetters('datasets', ['getDataServices'])
  },
  methods: {
    ...mapActions('datasets', ['setDataServices']),
    changeDataServices(dataServices) {
      this.setDataServices(dataServices);
      const query = Object.assign({}, this.$route.query, { dataServices, page: 1 });
      if (dataServices === 'false') {
        delete query.dataServices;
      }
      this.$router.replace({ query });
    }
  }
}
</script>

<style scoped>

</style>
